Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIDataTableBase.PropertyKeys

    java.lang.Object
      java.lang.Enum<UIDataTableBase.PropertyKeys>
          org.richfaces.component.UIDataTableBase.PropertyKeys

All Implemented Interfaces:
  Serializable, Comparable<UIDataTableBase.PropertyKeys>

Enclosing class:
  UIDataTableBase

    protected static enum UIDataTableBase.PropertyKeys

extends Enum<UIDataTableBase.PropertyKeys>

Enum Constant Summary
`filterVar`
`first`
`header`
`noDataLabel`
`rows`
`selection`
`sortMode`
`sortPriority`

Method Summary
`static UIDataTableBase.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIDataTableBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### filterVar

    public static final UIDataTableBase.PropertyKeys filterVar

### sortPriority

    public static final UIDataTableBase.PropertyKeys sortPriority

### sortMode

    public static final UIDataTableBase.PropertyKeys sortMode

### first

    public static final UIDataTableBase.PropertyKeys first

### rows

    public static final UIDataTableBase.PropertyKeys rows

### noDataLabel

    public static final UIDataTableBase.PropertyKeys noDataLabel

### selection

    public static final UIDataTableBase.PropertyKeys selection

### header

    public static final UIDataTableBase.PropertyKeys header

Method Detail

### values

    public static UIDataTableBase.PropertyKeys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIDataTableBase.PropertyKeys c : UIDataTableBase.PropertyKeys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIDataTableBase.PropertyKeys valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.